# Class NotFoundError

An error that is thrown when a requested resource could not be found.

#### Hierarchy

- Error
  - NotFoundError

#####
Index

### Constructors

constructor

##
Constructors

### constructor

- new NotFoundError(message?, ...args): NotFoundError

- Initializes a new instance of the NotFoundError class.

  #### Parameters

  - `Optional` message: string

    The error message. If not specified, a default one will be used.

  - `Rest`...args: unknown[]

    The values to substitute into the format string. Null and undefined values will be converted into empty strings.

  #### Returns NotFoundError

  Overrides Error.constructor